package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 处方配送详情表实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "prescription_expressage_log")
public class WlyyPrescriptionExpressageLogDO extends UuidIdentityEntity {

    /**
	 * 
	 */
	private String saasId;

    /**
	 * 关联表wlyy_ouapatient id
	 */
	private String outpatientId;

    /**
     * 关联表wlyy_prescription id
     */
    private String prescriptionId;

    /**
	 * 关联wlyy_prescription_expressage id
	 */
	private String expressageId;

    /**
	 * 路由节点产生的时间，格式：YYYY-MM-DD HH24:MM:SS，示例：2012-7-30 09:30:00。
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date acceptTime;

    /**
	 * 路由节点发生的城市
	 */
	private String acceptAddress;

    /**
	 * 路由节点操作码
	 */
	private String opCode;

    /**
	 * 路由节点具体描述
	 */
	private String acceptRemark;

    /**
	 * 备注
	 */
	private String remark;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date createTime;

    /**
	 * 接收机构
	 */
	private String acceptHospital;

    /**
	 * 接收机构地址
	 */
	private String acceptHospitalAddress;

    /**
	 * 接收机构名称
	 */
	private String acceptHospitalName;

    /**
	 * 接收人
	 */
	private String acceptUser;

    /**
	 * 接收人名称
	 */
	private String acceptUserName;

    /**
	 * 接收人电话
	 */
	private String acceptUserMobile;

    /**
	 * 配送机构地址
	 */
	private String expressageHospitalAddress;

    /**
	 * 配送机构code
	 */
	private String expressageHospitalCode;

    /**
	 * 如果配送方式是健管师那么这个字段存服务站名称，如果是快递配送那么是快递公司名称
	 */
	private String expressageHospitalName;

    /**
	 * 配送人名称
	 */
	private String expressageUserName;

    /**
	 * 配送人code
	 */
	private String expressageUserCode;

    /**
	 * 开始配送时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date expressageTime;

    /**
	 * 配送人电话
	 */
	private String expressageUserMobile;


	@Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }


    @Column(name = "outpatient_id")
    public String getOutpatientId() {
        return outpatientId;
    }

    public void setOutpatientId(String outpatientId) {
        this.outpatientId = outpatientId;
    }

    @Column(name = "prescription_id")
    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

	@Column(name = "expressage_id")
    public String getExpressageId() {
        return expressageId;
    }
    public void setExpressageId(String expressageId) {
        this.expressageId = expressageId;
    }

	@Column(name = "accept_time")
    public Date getAcceptTime() {
        return acceptTime;
    }
    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

	@Column(name = "accept_address")
    public String getAcceptAddress() {
        return acceptAddress;
    }
    public void setAcceptAddress(String acceptAddress) {
        this.acceptAddress = acceptAddress;
    }

	@Column(name = "op_code")
    public String getOpCode() {
        return opCode;
    }
    public void setOpCode(String opCode) {
        this.opCode = opCode;
    }

	@Column(name = "accept_remark")
    public String getAcceptRemark() {
        return acceptRemark;
    }
    public void setAcceptRemark(String acceptRemark) {
        this.acceptRemark = acceptRemark;
    }

	@Column(name = "remark")
    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

	@Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

	@Column(name = "accept_hospital")
    public String getAcceptHospital() {
        return acceptHospital;
    }
    public void setAcceptHospital(String acceptHospital) {
        this.acceptHospital = acceptHospital;
    }

	@Column(name = "accept_hospital_address")
    public String getAcceptHospitalAddress() {
        return acceptHospitalAddress;
    }
    public void setAcceptHospitalAddress(String acceptHospitalAddress) {
        this.acceptHospitalAddress = acceptHospitalAddress;
    }

	@Column(name = "accept_hospital_name")
    public String getAcceptHospitalName() {
        return acceptHospitalName;
    }
    public void setAcceptHospitalName(String acceptHospitalName) {
        this.acceptHospitalName = acceptHospitalName;
    }

	@Column(name = "accept_user")
    public String getAcceptUser() {
        return acceptUser;
    }
    public void setAcceptUser(String acceptUser) {
        this.acceptUser = acceptUser;
    }

	@Column(name = "accept_user_name")
    public String getAcceptUserName() {
        return acceptUserName;
    }
    public void setAcceptUserName(String acceptUserName) {
        this.acceptUserName = acceptUserName;
    }

	@Column(name = "accept_user_mobile")
    public String getAcceptUserMobile() {
        return acceptUserMobile;
    }
    public void setAcceptUserMobile(String acceptUserMobile) {
        this.acceptUserMobile = acceptUserMobile;
    }

	@Column(name = "expressage_hospital_address")
    public String getExpressageHospitalAddress() {
        return expressageHospitalAddress;
    }
    public void setExpressageHospitalAddress(String expressageHospitalAddress) {
        this.expressageHospitalAddress = expressageHospitalAddress;
    }

	@Column(name = "expressage_hospital_code")
    public String getExpressageHospitalCode() {
        return expressageHospitalCode;
    }
    public void setExpressageHospitalCode(String expressageHospitalCode) {
        this.expressageHospitalCode = expressageHospitalCode;
    }

	@Column(name = "expressage_hospital_name")
    public String getExpressageHospitalName() {
        return expressageHospitalName;
    }
    public void setExpressageHospitalName(String expressageHospitalName) {
        this.expressageHospitalName = expressageHospitalName;
    }

	@Column(name = "expressage_user_name")
    public String getExpressageUserName() {
        return expressageUserName;
    }
    public void setExpressageUserName(String expressageUserName) {
        this.expressageUserName = expressageUserName;
    }

	@Column(name = "expressage_user_code")
    public String getExpressageUserCode() {
        return expressageUserCode;
    }
    public void setExpressageUserCode(String expressageUserCode) {
        this.expressageUserCode = expressageUserCode;
    }

	@Column(name = "expressage_time")
    public Date getExpressageTime() {
        return expressageTime;
    }
    public void setExpressageTime(Date expressageTime) {
        this.expressageTime = expressageTime;
    }

	@Column(name = "expressage_user_mobile")
    public String getExpressageUserMobile() {
        return expressageUserMobile;
    }
    public void setExpressageUserMobile(String expressageUserMobile) {
        this.expressageUserMobile = expressageUserMobile;
    }



}